Skip to main content

Application Template Actions

https://api.losant.com/applicationTemplates/TEMPLATE_ID

Below are the various requests that can be performed against the Application Template resource, as well as the expected parameters and the potential responses.

Get​

Retrieves information on an application template

Method And Url​

GET https://api.losant.com/applicationTemplates/TEMPLATE_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, applicationTemplate.*, applicationTemplate.get, only.User, only.User.bounded, or only.User.read.

Request Path Components​

Path ComponentDescriptionExample
TEMPLATE_IDID associated with the template575ed0de7ae143cd83dc4aa5

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applicationTemplates/TEMPLATE_ID

Successful Responses​

CodeTypeDescription
200Application TemplateApplication template information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if template was not found

Schemas​

Application Template​

Schema for a single Application Template

Application Template Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 15 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 3 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 3 keys
                    • ▶
                      {} 3 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 1 key
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys

                                Application Template Example​

                                • ▶
                                  {} 10 keys
                                  • "586e9d5151265cb9d72f6ec6"
                                  • "2020-01-13T04:00:00.000Z"
                                  • "2020-01-13T04:00:00.000Z"
                                  • "smart environment"
                                  • "a smart env set up"
                                  • true
                                  • "Example Author"
                                  • "https://example.com/theAuther"
                                  • "https://example.com/theTemplate"
                                  • ▶
                                    {} 18 keys

                                  Error​

                                  Schema for errors returned by the API

                                  Error Schema​

                                  • ▶
                                    {} 3 keys
                                    • "http://json-schema.org/draft-07/schema#"
                                    • "object"
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 2 keys

                                        Error Example​

                                        • ▶
                                          {} 2 keys
                                          • "NotFound"
                                          • "Application was not found"

                                        Was this page helpful?


                                        Still looking for help? You can also search the Losant Forums or submit your question there.